View Javadoc

    1   package net.sourceforge.pmd.sourcetypehandlers;
    2
    3   import net.sourceforge.pmd.parsers.Parser;
    4
    5   /***
    6    * Interface for obtaining the classes necessary for checking source files
    7    * of a specific language.
    8    *
    9    * @author pieter_van_raemdonck - Application Engineers NV/SA - www.ae.be
    10   */
    11  public interface SourceTypeHandler {
    12
    13      /***
    14       * Get the Parser.
    15       *
    16       * @return
    17       */
    18      Parser getParser();
    19
    20      /***
    21       * Get the DataFlowFacade.
    22       *
    23       * @return
    24       */
    25      VisitorStarter getDataFlowFacade();
    26
    27      /***
    28       * Get the SymbolFacade.
    29       *
    30       * @return
    31       */
    32      VisitorStarter getSymbolFacade();
    33  }